#include <bits/stdc++.h>
using namespace std;
typedef long long ll;
const int mn=100100;
ll a[mn];
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0); cout.tie(0);
    int n,m;
    cin>>n>>m;
    for(int i=0;i<n;i++) cin>>a[i];
    ll kolko=0;
    for(int i=0;i<m;i++)
    {
        int x,y;
        cin>>x>>y;
        kolko+=max(a[x-1]+a[y-1],-a[x-1]-a[y-1]); //sabiramo ih ako su prijatelji, a ako su neprijatelji ih oduzimamo
    }
    cout<<kolko<<endl;
    return 0;
}